<a href="https://www.telerik.com/kendo-angular-ui/components/listbox" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular ListBox Component

> * This package is part of the [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!

The Kendo UI for Angular ListBox is a component that displays a list of items. It allows for item selection, reordering, and transfer between two or more ListBox components.

## Key Features

Among the many features which the Kendo UI for Angular ListBox delivers are:

* Data Binding&mdash;The ListBox component accepts two types of data&mdash;an array of strings or an array of objects. [Read more about the ListBox data binding...](https://www.telerik.com/kendo-angular-ui/components/listbox/data-binding)
* Item Selection&mdash;The ListBox component allows you to select rows through interaction with the row itself. The component emits a [`selectionChange`](https://www.telerik.com/kendo-angular-ui/components/listbox/api/listboxcomponent#selectionchange) event and the index of the currently selected item can be accessed through the [`selectedIndex`](https://www.telerik.com/kendo-angular-ui/components/listbox/api/listboxcomponent#selectedindex) field.
* Configurable Toolbar&mdash;The ListBox enables you to customize both the appearance and the functionality of its toolbar. [Read more about the ListBox toolbar...](https://www.telerik.com/kendo-angular-ui/components/listbox/toolbar)
* Templates&mdash;The ListBox enables you to customize the content of its items. [Read more about the ListBox templates...](https://www.telerik.com/kendo-angular-ui/components/listbox/templates)
* Appearance&mdash;The ListBox provides built-in options that allow you to customize its appearance. [Read more about customizing the appearance of the ListBox...](https://www.telerik.com/kendo-angular-ui/components/listbox/appearance)
* Connecting Multiple ListBox Components&mdash;It is possible to daisy-chain two or more instances of the ListBox component. [Read more about linking ListBox components...](https://www.telerik.com/kendo-angular-ui/components/listbox/data-binding#using-the-data-binding-directive)
* Drag and Drop Between ListBox Components&mdash;The Kendo UI for Angular ListBox enables you to drag and drop rows from one ListBox to another ListBox. This allows you to easily maintain the items in each list and organize them in the desired way. [Read more about the drag and drop between ListBox components...](https://www.telerik.com/kendo-angular-ui/components/listbox/drag-and-drop)
* Accessibility&mdash;The Kendo UI for Angular ListBox component is [WCAG 2.2 AA](https://www.w3.org/TR/WCAG22/) and [Section 508](http://www.section508.gov/) compliant, incorporating [WAI-ARIA](https://www.w3.org/WAI/ARIA/apg/) best practices for modern web accessibility. The ListBox is also tested against the popular screen readers, including JAWS and NVDA. [Read more about the accessibility of the ListBox...](https://www.telerik.com/kendo-angular-ui/components/listbox/accessibility)
* Keyboard Navigation&mdash;The ListBox supports a number of keyboard shortcuts which allow users to accomplish various commands. [Read more about the keyboard navigation of the Grid...](https://www.telerik.com/kendo-angular-ui/components/listbox/keyboard-navigation)
* Globalization&mdash;The Kendo UI for Angular ListBox supports globalization to ensure that it can fit well in any application, no matter what languages and locales need to be supported. Additionally, the ListBox supports rendering in a right-to-left (RTL) direction. [Read more about the globalization of the ListBox...](https://www.telerik.com/kendo-angular-ui/components/listbox/globalization)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular ListBox, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular ListBox](https://www.telerik.com/kendo-angular-ui/components/listbox/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
