/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { ListBoxComponent } from './listbox.component';
import * as i0 from "@angular/core";
/**
 * A directive which manages the functoinality of the ListBox tools out of the box, and modifies the provided data accordingly.
 */
export declare class DataBindingDirective implements OnChanges, OnDestroy {
    private listbox;
    /**
     * Specifies the ListBoxComponent instance with which the current ListBox should be connected.
     * When two listboxes are linked via this input, one can transfer items between them.
     */
    connectedWith: ListBoxComponent;
    private actionClickSub;
    private selectedBoxSub;
    private connectedWithSub;
    private selectedBox;
    constructor(listbox: ListBoxComponent);
    /**
     * @hidden
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * @hidden
     */
    ngOnDestroy(): void;
    private moveVertically;
    private removeItem;
    private transferItem;
    private transferAll;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataBindingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DataBindingDirective, "[kendoListBoxDataBinding]", never, { "connectedWith": { "alias": "connectedWith"; "required": false; }; }, {}, never, never, true, never>;
}
