/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { caretAltDownIcon, caretAltLeftIcon, caretAltRightIcon, caretAltUpIcon, caretDoubleAltLeftIcon, caretDoubleAltRightIcon, xIcon } from "@progress/kendo-svg-icons";
/**
 * @hidden
 */
export const DEFAULT_TOOLBAR_POSITION = 'right';
/**
 * @hidden
 */
export const allTools = [
    {
        name: 'moveUp',
        label: 'Move Up',
        icon: 'caret-alt-up',
        svgIcon: caretAltUpIcon
    },
    {
        name: 'moveDown',
        label: 'Move Down',
        icon: 'caret-alt-down',
        svgIcon: caretAltDownIcon
    },
    {
        name: 'transferTo',
        label: 'Transfer To',
        icon: 'caret-alt-right',
        svgIcon: caretAltRightIcon
    },
    {
        name: 'transferFrom',
        label: 'Transfer From',
        icon: 'caret-alt-left',
        svgIcon: caretAltLeftIcon
    },
    {
        name: 'transferAllTo',
        label: 'Transfer All To',
        icon: 'caret-double-alt-right',
        svgIcon: caretDoubleAltRightIcon
    },
    {
        name: 'transferAllFrom',
        label: 'Transfer All From',
        icon: 'caret-double-alt-left',
        svgIcon: caretDoubleAltLeftIcon
    },
    {
        name: 'remove',
        label: 'Remove',
        icon: 'x',
        svgIcon: xIcon
    }
];
/**
 * @hidden
 */
export const sizeClassMap = {
    small: 'sm',
    medium: 'md',
    large: 'lg'
};
/**
 * @hidden
 */
export const actionsClasses = {
    left: 'k-listbox-actions-left',
    right: 'k-listbox-actions-right',
    top: 'k-listbox-actions-top',
    bottom: 'k-listbox-actions-bottom'
};
