/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DataBindingDirective } from "./data-binding.directive";
import { ItemSelectableDirective } from "./item-selectable.directive";
import { ItemTemplateDirective } from "./item-template.directive";
import { ListBoxComponent } from "./listbox.component";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
/**
 * Utility array that contains all `@progress/kendo-angular-listbox` related components and directives
 */
export const KENDO_LISTBOX = [
    ListBoxComponent,
    ItemTemplateDirective,
    ItemSelectableDirective,
    DataBindingDirective,
    CustomMessagesComponent,
];
