/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_LISTBOX } from './directives';
import { IconsService } from '@progress/kendo-angular-icons';
import { PopupService } from '@progress/kendo-angular-popup';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "./listbox.component";
import * as i2 from "./item-template.directive";
import * as i3 from "./item-selectable.directive";
import * as i4 from "./data-binding.directive";
import * as i5 from "./localization/custom-messages.component";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [NgModule](https://angular.io/api/core/NgModule) definition for the ListBox component.
 */
export class ListBoxModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListBoxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: ListBoxModule, imports: [i1.ListBoxComponent, i2.ItemTemplateDirective, i3.ItemSelectableDirective, i4.DataBindingDirective, i5.CustomMessagesComponent], exports: [i1.ListBoxComponent, i2.ItemTemplateDirective, i3.ItemSelectableDirective, i4.DataBindingDirective, i5.CustomMessagesComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListBoxModule, providers: [IconsService, PopupService, ResizeBatchService], imports: [i1.ListBoxComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ListBoxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_LISTBOX],
                    exports: [...KENDO_LISTBOX],
                    providers: [IconsService, PopupService, ResizeBatchService]
                }]
        }] });
