/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive } from '@angular/core';
import { Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * The text of the `Move Up` button title.
     */
    moveUp;
    /**
     * The text of the `Move Down` button title.
     */
    moveDown;
    /**
     * The text of the `Remove` button tittle.
     */
    remove;
    /**
     * The text of the `Transfer To` button title.
     */
    transferTo;
    /**
     * The text of the `Transfer From` button title.
     */
    transferFrom;
    /**
     * The text of the `Transfer All To` button title.
     */
    transferAllTo;
    /**
     * The text of the `Transfer All From` button title.
     */
    transferAllFrom;
    /**
     * The text displayed when there are no items.
     */
    noDataText;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, inputs: { moveUp: "moveUp", moveDown: "moveDown", remove: "remove", transferTo: "transferTo", transferFrom: "transferFrom", transferAllTo: "transferAllTo", transferAllFrom: "transferAllFrom", noDataText: "noDataText" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive
        }], propDecorators: { moveUp: [{
                type: Input
            }], moveDown: [{
                type: Input
            }], remove: [{
                type: Input
            }], transferTo: [{
                type: Input
            }], transferFrom: [{
                type: Input
            }], transferAllTo: [{
                type: Input
            }], transferAllFrom: [{
                type: Input
            }], noDataText: [{
                type: Input
            }] } });
