/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Renders the ListBox item content. To define the item template, nest an `<ng-template>` tag
 * with the `kendoListBoxItemTemplate` directive inside the `<kendo-listbox>` tag. The template context is
 * set to the current data item.
 *
 * @example
 * ```ts
 * _@Component({
 * selector: 'my-app',
 * template: `
 *   <kendo-listbox [data]="listBoxItems">
 *     <ng-template kendoListBoxItemTemplate let-dataItem>
 *       <span>{{ dataItem }} item</span>
 *     </ng-template>
 *   </kendo-listbox>
 * `
 * })
 * ```
 */
export declare class ItemTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ItemTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ItemTemplateDirective, "[kendoListBoxItemTemplate]", never, {}, {}, never, never, true, never>;
}
