/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, NgZone, Renderer2 } from "@angular/core";
import { Button } from "@progress/kendo-angular-buttons";
import { ListBoxComponent } from "./listbox.component";
import { ActionName, Tool } from "./toolbar";
import { ListBoxSelectionEvent } from "./selection.service";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class KeyboardNavigationService {
    private renderer;
    private zone;
    selectedListboxItemIndex: number;
    focusedListboxItemIndex: number;
    focusedToolIndex: number;
    onDeleteEvent: EventEmitter<number>;
    onMoveSelectedItem: EventEmitter<string>;
    onTransferAllEvent: EventEmitter<ActionName>;
    onShiftSelectedItem: EventEmitter<ActionName>;
    onSelectionChange: EventEmitter<ListBoxSelectionEvent>;
    constructor(renderer: Renderer2, zone: NgZone);
    onKeyDown(event: any, toolsRef: Array<Button>, toolbar: Tool[], childListbox: ListBoxComponent, parentListbox: ListBoxComponent, listboxItems: Array<ElementRef>): void;
    changeTabindex(previousItem: HTMLElement, currentItem: HTMLElement, shouldBlur?: boolean): void;
    private handleToolbarArrows;
    private onSpaceKey;
    private onArrowUpOrDown;
    private onArrowLeftOrRight;
    private onSelectChange;
    private onF10Key;
    private transferAllItems;
    private transferItem;
    private changeFocusedItem;
    private onArrowDown;
    private onArrowUp;
    static ɵfac: i0.ɵɵFactoryDeclaration<KeyboardNavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<KeyboardNavigationService>;
}
