/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The text of the `Move Up` button title.
     */
    moveUp: string;
    /**
     * The text of the `Move Down` button title.
     */
    moveDown: string;
    /**
     * The text of the `Remove` button tittle.
     */
    remove: string;
    /**
     * The text of the `Transfer To` button title.
     */
    transferTo: string;
    /**
     * The text of the `Transfer From` button title.
     */
    transferFrom: string;
    /**
     * The text of the `Transfer All To` button title.
     */
    transferAllTo: string;
    /**
     * The text of the `Transfer All From` button title.
     */
    transferAllFrom: string;
    /**
     * The text displayed when there are no items.
     */
    noDataText: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, never, never, { "moveUp": { "alias": "moveUp"; "required": false; }; "moveDown": { "alias": "moveDown"; "required": false; }; "remove": { "alias": "remove"; "required": false; }; "transferTo": { "alias": "transferTo"; "required": false; }; "transferFrom": { "alias": "transferFrom"; "required": false; }; "transferAllTo": { "alias": "transferAllTo"; "required": false; }; "transferAllFrom": { "alias": "transferAllFrom"; "required": false; }; "noDataText": { "alias": "noDataText"; "required": false; }; }, {}, never, never, false, never>;
}
