/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * The event fired by the ListBox component when the user makes a new selection.
 */
export interface ListBoxSelectionEvent {
    index: number;
    prevIndex: number;
}
/**
 * @hidden
 */
export declare class ListBoxSelectionService {
    onSelect: EventEmitter<any>;
    selectedIndex: number;
    select(index: number): void;
    isSelected(index: number): boolean;
    clearSelection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListBoxSelectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ListBoxSelectionService>;
}
